#include "WaylandWindowInterface.h"

#include "Window.h"
#include "FileLogger.h"

int main()
{
    FileLogger::GetInstance().Open();

    WaylandWindowInterface window_interface;
    window_interface.connect();

    auto window = mt::Window::Create();
    window->SetSize(800, 600);

    window_interface.addWindow(window.get());

    window_interface.mapWindow(window.get());

    window_interface.run();

    window_interface.disconnect();
    return 0;
}
